Bug 1714003 (python-aenum) - Review Request: python-aenum - Advanced Enumerations, NamedTuples and NamedConstants for Python
Summary: Review Request: python-aenum - Advanced Enumerations, NamedTuples and NamedCo...
Keywords:
Status: CLOSED ERRATA
Alias: python-aenum
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-pypcapkit
TreeView+ depends on / blocked
 
Reported: 2019-05-26 13:53 UTC by Fabian Affolter
Modified: 2019-06-18 03:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 03:46:23 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-05-26 13:53:30 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aenum.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aenum-2.1.2-1.fc30.src.rpm

Project URL: https://bitbucket.org/stoneleaf/aenum/src/default/

Description:
aenum includes a Python stdlib Enum-compatible data type, as well as a
metaclass-based NamedTuple implementation and a NamedConstant class.

An Enum is a set of symbolic names (members) bound to unique, constant values.
Within an enumeration, the members can be compared by identity, and the
enumeration itself can be iterated over. Support exists for unique values,
multiple values, auto-numbering, and suspension of aliasing, plus the ability
to have values automatically bound to attributes.

A NamedTuple is a class-based, fixed-length tuple with a name for each
possible position accessible using attribute-access notation as well as
the standard index notation.

A NamedConstant is a class whose members cannot be rebound; it lacks all other
Enum capabilities, however.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=35069222

rpmlint output:
$ rpmlint python-aenum-2.1.2-1.fc30.src.rpm 
python-aenum.src: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python-aenum.src: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python-aenum.src: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint python3-aenum-2.1.2-1.fc30.noarch.rpm 
python3-aenum.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python3-aenum.noarch: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python3-aenum.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2019-06-07 13:09:12 UTC
 - Bump to 2.1.3

 - You must install the aenum/LICENSE file with %license in %files

 - Install aenum/doc with %doc in %files



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (unspecified)",
     "BSD 3-clause "New" or "Revised" License". 14 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-aenum/review-python-
     aenum/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-aenum-2.1.2-1.fc31.noarch.rpm
          python-aenum-2.1.2-1.fc31.src.rpm
python3-aenum.noarch: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python3-aenum.noarch: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python3-aenum.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
python-aenum.src: W: spelling-error %description -l en_US stdlib -> std lib, std-lib, stolid
python-aenum.src: W: spelling-error %description -l en_US metaclass -> meta class, meta-class, metacarpals
python-aenum.src: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Fabian Affolter 2019-06-08 21:28:47 UTC
Thanks for pointing out the issues.

* Sat Jun 08 2019 Fabian Affolter <mail@fabian-affolter.ch> - 2.1.3-1
- Update to latest upstream release 2.1.3
- Add license and docs (rhbz#1714003)

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aenum.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aenum-2.1.3-1.fc30.src.rpm

Comment 3 Robert-André Mauchin 🐧 2019-06-09 12:22:33 UTC
Package approved.

Comment 4 Igor Raits 2019-06-09 14:40:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-aenum

Comment 5 Fedora Update System 2019-06-09 14:59:48 UTC
FEDORA-2019-8fd3fc4be0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8fd3fc4be0

Comment 6 Fedora Update System 2019-06-10 01:10:53 UTC
python-aenum-2.1.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8fd3fc4be0

Comment 7 Fedora Update System 2019-06-18 03:46:23 UTC
python-aenum-2.1.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.